.random-button-link {
  width: 8vw;
  height: 8vw;
  display: inline-block;
  font: 300 1.5vw/1.4 "Josefin Sans";
  text-transform: uppercase;
  letter-spacing: 0.1475vw;
  word-spacing: 0.5vw;
  text-decoration: none;
  position: relative;
  bottom: 4vw;
  text-align: center;
  left: 50%;
  transform: translateX(-50%);
  cursor: pointer;
}

.random-button-link__svg {
  width: 100%;
  height: auto;
  fill: #ff6868;
  stroke: #ff6868;
}

.link__face,
.link__arrow {
  transform-origin: 50% 50%;
  transition: transform 0.15s cubic-bezier(0.32, 0, 0.67, 0);
}
.random-button-link:hover .link__face,
.random-button-link:hover .link__arrow {
  transform: scale(1.1);
  transition: transform 0.3s cubic-bezier(0.33, 1, 0.68, 1);
}
.link__arrow {
  stroke-width: 0.175vw;
}
.link__text {
  -webkit-animation: rotateReverse normal infinite 20s linear;
  animation: rotateReverse normal infinite 20s linear;
  transform-origin: 50% 50%;
}
.random-button-link:hover .link__text {
  -webkit-animation-play-state: paused;
  animation-play-state: paused;
}

@keyframes rotateReverse {
  to {
    transform: rotate(-360deg);
  }
}
